package moe.fuqiuluo.utils;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.util.zip.Deflater;
import java.util.zip.GZIPInputStream;
import java.util.zip.GZIPOutputStream;
import java.util.zip.Inflater;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.io.CloseableKt;
import kotlin.jvm.JvmStatic;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

/* compiled from: ZlibUtil.kt */
@Metadata(mv = {1, 8, 0}, k = 1, xi = 48, d1 = {"��\u0014\n\u0002\u0018\u0002\n\u0002\u0010��\n\u0002\b\u0002\n\u0002\u0010\u0012\n\u0002\b\u0007\bÆ\u0002\u0018��2\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0012\u0010\u0003\u001a\u00020\u00042\b\u0010\u0005\u001a\u0004\u0018\u00010\u0004H\u0007J\u0010\u0010\u0006\u001a\u00020\u00042\u0006\u0010\u0007\u001a\u00020\u0004H\u0007J\u0012\u0010\b\u001a\u00020\u00042\b\u0010\u0005\u001a\u0004\u0018\u00010\u0004H\u0007J\u0010\u0010\t\u001a\u00020\u00042\u0006\u0010\n\u001a\u00020\u0004H\u0007¨\u0006\u000b"}, d2 = {"Lmoe/fuqiuluo/utils/ZlibUtil;", "", "()V", "compress", "", "inputByte", "gzip", "bytes", "unCompress", "ungzip", "bArr", "unidbg-fetch-qsign"})
/* loaded from: moe_fuqiuluo_utils.jar:moe/fuqiuluo/utils/ZlibUtil.class */
public final class ZlibUtil {

    @NotNull
    public static final ZlibUtil INSTANCE = new ZlibUtil();

    private ZlibUtil() {
    }

    @JvmStatic
    @NotNull
    public static final byte[] unCompress(@Nullable byte[] inputByte) {
        int len;
        Inflater infill = new Inflater();
        infill.setInput(inputByte);
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        byte[] outByte = new byte[1024];
        while (!infill.finished() && (len = infill.inflate(outByte)) != 0) {
            try {
                try {
                    bos.write(outByte, 0, len);
                } catch (Exception e) {
                    e.printStackTrace();
                    try {
                        bos.close();
                    } catch (IOException e2) {
                        e2.printStackTrace();
                    }
                }
            } finally {
                try {
                    bos.close();
                } catch (IOException e3) {
                    e3.printStackTrace();
                }
            }
        }
        infill.end();
        byte[] byteArray = bos.toByteArray();
        Intrinsics.checkNotNullExpressionValue(byteArray, "bos.toByteArray()");
        return byteArray;
    }

    @JvmStatic
    @NotNull
    public static final byte[] compress(@Nullable byte[] inputByte) {
        Deflater defile = new Deflater();
        defile.setInput(inputByte);
        defile.finish();
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        byte[] outputByte = new byte[1024];
        while (!defile.finished()) {
            try {
                int len = defile.deflate(outputByte);
                bos.write(outputByte, 0, len);
            } finally {
                try {
                    bos.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }
        defile.end();
        byte[] byteArray = bos.toByteArray();
        Intrinsics.checkNotNullExpressionValue(byteArray, "bos.toByteArray()");
        return byteArray;
    }

    @JvmStatic
    @NotNull
    public static final byte[] gzip(@NotNull byte[] bytes) {
        Intrinsics.checkNotNullParameter(bytes, "bytes");
        byte[] empty_byte_array = BytesUtilKt.getEMPTY_BYTE_ARRAY();
        if (!(bytes.length == 0)) {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            try {
                ByteArrayOutputStream it = byteArrayOutputStream;
                GZIPOutputStream it2 = new GZIPOutputStream(it);
                Throwable th = null;
                try {
                    try {
                        it2.write(bytes);
                        Unit unit = Unit.INSTANCE;
                        CloseableKt.closeFinally(it2, (Throwable) null);
                        byte[] byteArray = it.toByteArray();
                        Intrinsics.checkNotNullExpressionValue(byteArray, "it.toByteArray()");
                        empty_byte_array = byteArray;
                        Unit unit2 = Unit.INSTANCE;
                        CloseableKt.closeFinally(byteArrayOutputStream, (Throwable) null);
                    } finally {
                    }
                } catch (Throwable th2) {
                    CloseableKt.closeFinally(it2, th);
                    throw th2;
                }
            } catch (Throwable th3) {
                CloseableKt.closeFinally(byteArrayOutputStream, (Throwable) null);
                throw th3;
            }
        }
        return empty_byte_array;
    }

    @JvmStatic
    @NotNull
    public static final byte[] ungzip(@NotNull byte[] bArr) {
        Intrinsics.checkNotNullParameter(bArr, "bArr");
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        try {
            GZIPInputStream gZIPInputStream = new GZIPInputStream(new ByteArrayInputStream(bArr));
            byte[] bArr2 = new byte[256];
            while (true) {
                int read = gZIPInputStream.read(bArr2);
                if (read < 0) {
                    break;
                }
                byteArrayOutputStream.write(bArr2, 0, read);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        byte[] byteArray = byteArrayOutputStream.toByteArray();
        Intrinsics.checkNotNullExpressionValue(byteArray, "byteArrayOutputStream.toByteArray()");
        return byteArray;
    }
}
